getMeetingConnectionInfo
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/getMeetingConnectionInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"meetingId": "meeting_123example"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/getMeetingConnectionInfo"
payload = { "args": { "meetingId": "meeting_123example" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({args: {meetingId: 'meeting_123example'}})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/getMeetingConnectionInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": {
"success": true,
"videoProvider": "webrtc",
"connectionInfo": {
"roomId": "webrtc_meeting_123example",
"iceServers": [
{
"urls": "stun:stun.l.google.com:19302"
},
{
"urls": "stun:stun1.l.google.com:19302"
}
]
},
"features": {
"recording": false,
"transcription": true,
"maxParticipants": 4
}
}
}{}{}Meetings
getMeetingConnectionInfo
Provides different information based on video provider: ICE servers for WebRTC or GetStream room ID for paid tier. Includes feature flags for recording, transcription, and participant limits. Only available for active meetings.
POST
/
api
/
run
/
meetings
/
lifecycle
/
getMeetingConnectionInfo
getMeetingConnectionInfo
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I